class DocumentsController < ApplicationController
   before_filter :login_required
   live_tree :tree, :model => :document

    def index
        @root = Document.find(:first, :conditions => ["parent_id IS NULL"])
    end
  
  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @document_pages, @documents = paginate :documents, :per_page => 10
  end

  def show
    @document = Document.find(params[:id])    
  end

  def new
    @document = Document.new
    #list all projects of the user
    @projects = Project.find(:all, :conditions => ["user_id=?", @session['user'].id])
    #allow to choos a parent document by listing all documents of the chosen project
    #not done yet!
    @documents = Document.find_all #(:all, :conditions => ["project_id=?", @projects.id])
  end

  def create
    @document = Document.new(params[:document])
    if @document.save
      flash[:notice] = 'Document was successfully created.'
      redirect_to :action => 'index'
    else
      render :action => 'new'
    end
  end

  def edit
     #only allow to rename the document and change its parent, not changing its project or user	  
    @document = Document.find(params[:id])
    @documents = Document.find(:all, :conditions => ["parent_id !=?", @document.parent_id]) 
    #@projects = Project.find_all
  end

  def update
    @document = Document.find(params[:id])
    if @document.update_attributes(params[:document])
      flash[:notice] = 'Document was successfully updated.'
      redirect_to :action => 'show', :id => @document
    else
      render :action => 'edit'
    end
  end

  def destroy
    Document.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
  
  def modify
	@document = Document.find(params[:id])
	@saved = params[:saved]
	if @document.update_attributes(params[:document])
		flash[:notice] = 'Document was successfully saved.'
	end
	  
	  
  end
  
end
