class ProjectsController < ApplicationController
  scaffold :project
  before_filter :login_required
  
  def index
    list
    render :action => 'list'
    
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }
 
  def list
	#list all projects of the current user (admin or member)
	@projects = Project.find(:all, :conditions => ["user_id =?", @session['user'].id])  
        users_projects = UsersProjects.find(:all, :conditions => ['user_id =?', @session['user'].id])
        #member_projects = Array.new
        users_projects.length.times { |n| @projects[n + @projects.length] = Project.find(users_projects[n].project_id) }
	
  end

   
  def show
    @project = Project.find(params[:id])
    #list users of the project
    users_projects = UsersProjects.find(:all, :conditions => ['project_id =?', @project.id])
    @users = Array.new
    #users_projects.each do | u_p | @users = User.find(u_p.user_id) end
    users_projects.length.times { |n| @users[n] = User.find(users_projects[n].user_id) }
    
    #not allow to view other people's projects
    if @project.user_id != @session['user'].id
      flash[:notice] = 'You cannot view this project.'
      redirect_to :action => 'list', :id => @project
    end
  end

  def new
    @project = Project.new
       
  end

  def create
    @project = Project.new(params[:project])
    #set the project's user_id to the current user
    @project.user_id = @session['user'].id
    #create a default root folder to extend document tree from
    root_document = Document.new(params[:document])
   
    
    if @project.save
	root_document.name = @project.title
	root_document.project_id = @project.id
	root_document.save
      flash[:notice] = 'Project was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @project = Project.find(params[:id])
    #only the admin can change the name of the project
    if @project.user_id != @session['user'].id
      flash[:notice] = 'You cannot change this project name.'
      redirect_to :action => 'list', :id => @project
    end
  end

  def update
    @project = Project.find(params[:id])
    if @project.update_attributes(params[:project])  
	#Document.find(:first, :conditions => ["name =?", @project.id])
      flash[:notice] = 'Project was successfully updated.'
      redirect_to :action => 'show', :id => @project
    else
      render :action => 'edit'
    end
  end

  def destroy
	  
	#not allow to destroy other people's projects
	@project = Project.find(params[:id])
    if @project.user_id != @session['user'].id
      flash[:notice] = 'You cannot destroy this project.'
      redirect_to :action => 'list', :id => @project
    end
    #destroy the project and all its document, also clear the users_projects relationship
    Project.find(params[:id]).destroy
    Document.find(:all, :conditions => ["project_id =?", @project.id]).each {|doc| Document.find(doc.id).destroy}
    UsersProjects.find(:all, :conditions => ["project_id =?", @project.id]).each {|u_p| UsersProjects.find(u_p.id).destroy}
    redirect_to :action => 'list'
  end
end
