class UsersProjectsController < ApplicationController
	before_filter :login_required
  
  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }
 
  
  def new
    @users_projects = UsersProjects.new
    #list all projects of the user
    @projects = Project.find(:all, :conditions => ["user_id=?", @session['user'].id])
    @users = User.find_all
  end

  def create
    @users_projects = UsersProjects.new(params[:users_projects])
    if @users_projects.save
      flash[:notice] = 'UsersProjects was successfully created.'
      redirect_to :controller => 'projects', :action => 'show', :id => @users_projects.project_id
    else
      render :action => 'new'
    end
  end

  def edit
    @users_projects = UsersProjects.find(params[:id])
  end

  def update
    @users_projects = UsersProjects.find(params[:id])
    if @users_projects.update_attributes(params[:users_projects])
      flash[:notice] = 'UsersProjects was successfully updated.'
      redirect_to :action => 'show', :id => @users_projects
    else
      render :action => 'edit'
    end
  end

  def destroy
    UsersProjects.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
