# MySQL-Front 3.2  (Build 14.8)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES latin1 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='SYSTEM' */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE */;
/*!40101 SET SQL_MODE='' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES */;
/*!40103 SET SQL_NOTES='ON' */;


# Host: 127.0.0.1    Database: teamforge
# ------------------------------------------------------
# Server version 4.1.20-community-nt

#
# Table structure for table channels
#

DROP TABLE IF EXISTS `channels`;
CREATE TABLE `channels` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `private` tinyint(4) default '0',
  `topic` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table channels
#


#
# Table structure for table channels_users
#

DROP TABLE IF EXISTS `channels_users`;
CREATE TABLE `channels_users` (
  `channel_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `last_seen` datetime default NULL,
  PRIMARY KEY  (`channel_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table channels_users
#


#
# Table structure for table documents
#

DROP TABLE IF EXISTS `documents`;
CREATE TABLE `documents` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) default NULL,
  `project_id` int(11) default NULL,
  `name` varchar(30) NOT NULL default ''' ''',
  `content` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED;

#
# Dumping data for table documents
#

INSERT INTO `documents` VALUES (1,NULL,NULL,'My documents',NULL);
INSERT INTO `documents` VALUES (2,1,4,'doc1',NULL);
INSERT INTO `documents` VALUES (3,1,4,'doc1',NULL);
INSERT INTO `documents` VALUES (4,3,4,'doc1.1',NULL);
INSERT INTO `documents` VALUES (5,3,4,'doc1.2',NULL);

#
# Table structure for table messages
#

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` int(11) NOT NULL auto_increment,
  `created_at` datetime default NULL,
  `type` varchar(255) default NULL,
  `content` text,
  `channel_id` int(11) default NULL,
  `sender_id` int(11) default NULL,
  `level` varchar(255) default NULL,
  `recipient_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table messages
#


#
# Table structure for table projects
#

DROP TABLE IF EXISTS `projects`;
CREATE TABLE `projects` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `title` char(30) default NULL,
  `files_count` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=FIXED;

#
# Dumping data for table projects
#

INSERT INTO `projects` VALUES (2,2,'ngocky_project',NULL);
INSERT INTO `projects` VALUES (3,2,'ngocky_project2',NULL);
INSERT INTO `projects` VALUES (4,2,'ngocky_project1',NULL);

#
# Table structure for table users
#

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(80) default NULL,
  `password` varchar(40) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table users
#

INSERT INTO `users` VALUES (1,'ky_le','db9c93f05d2e41dc2256c3890d5d78ca6e48d418');
INSERT INTO `users` VALUES (2,'ngockyus','d26e850e14c9ca5953090a36347c2a7ae74c58b3');

#
# Table structure for table users_projects
#

DROP TABLE IF EXISTS `users_projects`;
CREATE TABLE `users_projects` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `project_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

#
# Dumping data for table users_projects
#

INSERT INTO `users_projects` VALUES (1,1,2);

/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
